:root {
    --error-color: #b81111;
    --green: #198754;
}

#highlighted,
#header,
#header-top,
#footer,
#featured-modal,
#block-utp-content > .content > h1 {
    display: none!important;
}

/* WHATSAPP BACKGROUND */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, sans-serif;
}

body {
    background-color: #ECE5DD;
    display: flex;
    flex-direction: column;
    height: 100dvh;
}

.top-bar {
    width: 100%;
    height: 70px;
    background-color: #075e54;
    display: flex;
    align-items: center;
    padding: 0 10px;
    color: white;
    min-height: 70px;
}

.back-arrow {
    /* width: 24px; */
    margin-right: 10px;
}

.logo {
    width: 36px;
    height: 36px;
    border-radius: 50%;
    margin-right: 10px;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
}

.title {
    font-size: 18px;
    font-weight: bold;
}

.menu {
    margin-left: auto;
    font-size: 24px;
    cursor: pointer;
}

.chat-container {
    padding: 15px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    overflow: auto;
}

.message-chat {
    display: flex;
    flex-direction: column;
    background-color: #fff;
    padding: 10px;
    border-radius: 5px;
    font-size: 16px;
    max-width: 80%;
    margin-bottom: 10px;
    width: max-content;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
}

.message-chat-user {
    display: flex;
    flex-direction: column;
    background-color: #dcf8c6;
    padding: 10px;
    border-radius: 5px;
    font-size: 16px;
    max-width: 80%;
    margin-bottom: 10px;
    width: max-content;
    position: relative;
    right: 0;
    justify-content: end;
    align-self: end;
    word-wrap: break-word;
    overflow-wrap: break-word;
    white-space: normal;
}

.message-chat button {
    margin-top: 10px;
    height: 40px;
    background: transparent;
    border: none;
    color: #00927c;
    font-weight: 700;
    cursor: pointer;
    border-top: 1px solid #e5e5e5;
    padding-top: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px
}

.footer {
    width: 100%;
    background-color: #f0f0f0;
    padding: 10px;
    display: flex;
    align-items: center;
    height: 62px;
}

.footer .content-input-footer {
    display: flex;
    align-items: center;
    position: relative;
    margin-right: 10px;
    flex-grow: 1;
}

.footer .content-input-footer input {
    flex-grow: 1;
    padding: 10px 45px 10px 35px;
    border-radius: 20px;
    border: none;
    outline: none;
    width: 90%;
}

.icon {
    width: 24px;
    height: 24px;
    cursor: pointer;
}

.footer .content-input-footer svg:first-child {
    position: absolute;
    left: 6px;
    z-index: 1;
}

.footer .content-input-footer svg:last-child {
    position: absolute;
    right: 12px;
    z-index: 1;
}

.microphone,
.send-button-message {
    background: #00927c;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.section-whatsapp-flow {
    height: 100dvh;
    display: flex;
    flex-direction: column;
}

#whatsappModal {
    justify-content: center;
    align-items: center;
}

.form-whatsapp .just-validate-error-field {
    background-image: none!important;
    border-color: var(--error-color); 
}
  
.form-whatsapp .just-validate-success-field {
    background-image: none!important;
    border-color: var(--green);
}

.form-whatsapp .just-validate-error-field, .form-whatsapp .just-validate-success-field {
    background-position: right calc(.375em + .1875rem) center;
    background-repeat: no-repeat;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}
  
.form-whatsapp .select.just-validate-error-field {
    border-color: var(--error-color);
}
  
.form-whatsapp label.form-check-title.just-validate-error-field.checkbox::before {
    border-color: var(--error-color);
}

.form-whatsapp .just-validate-success-field:focus {
    border-color: var(--green);
    /* box-shadow: 0 5px 0 0px #19875440; */
}

.form-whatsapp .just-validate-error-field:focus, .form-whatsapp .input.just-validate-error-field:focus, .form-whatsapp .select.just-validate-error-field:focus {
    border-color: var(--error-color);
    /* box-shadow: 0 5px 0 0px #dc354540 */
}

.hidden {
    display: none!important;
}

.modal-bottom-sheet .modal-dialog {
    position: fixed;
    bottom: 0;
    transform: translateX(-50%);
    width: 100%;
    max-width: 500px;
    border-radius: 20px 20px 0 0;
    animation: slideUp 0.3s ease-out;
    margin: 0;
}

.modal-content {
    border-radius: 20px 20px 0 0;
    box-shadow: 0px -4px 10px rgba(0, 0, 0, 0.2);
    background: #f4f4f4;
}

@keyframes slideUp {
    from {
        transform: translate(0, 100%);
        opacity: 0;
    }
    to {
        transform: translate(0, 0);
        opacity: 1;
    }
}

/* HEADER */
.modal-header {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.modal-header .btn-close-whatsapp {
    background: transparent;
    border: none;
    height: 25px;
    font-size: 12px;
    font-weight: 400;
    cursor: pointer;
}

.line-header {
    height: 4px;
    margin-top: 20px;
}

.line-header > .line {
    display: block;
    width: 30px;
    height: 4px;
    background-color: #ccc;
    border-radius: 10px;
    margin: 0 auto 10px;
}

.modal-header > .nav {
    display: flex;
    justify-content: space-between;
    margin: 0 14px;
    height: 48px;
    flex-wrap: nowrap;
    border-bottom: 0.3px solid rgba(0.58, 0.58, 0.58, 0.10);
}

.modal-header > .nav > h5 {
    margin: 0;
    font-size: 18px;
    text-align: center;
    font-weight: 600;
}

.btn-disabled {
    background-color: #ddd;
    color: #aaa;
    border: none;
    width: 100%;
    padding: 10px;
    border-radius: 25px;
}

/* BODY  */
.modal-body {
    padding: 16px 0px;
    margin: 0 14px;
    border-bottom: 1px solid rgba(0.58, 0.58, 0.58, 0.10);
    min-height: 403px;
    position: initial;
    height: 415px;
}

.modal-body.flex {
    display: flex;
    align-items: center;
    border-bottom: none;
}

.modal-body > h6 {
    font-size: 20px;
    font-weight: 600;
}

.modal-body .form-whatsapp {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.modal-body .form-whatsapp > h6 {
    font-size: 20px;
    align-self: self-start;
}

.modal-body .form-whatsapp > svg {
    margin: 17px 0px;
}

.modal-body .form-whatsapp > div {
    min-height: 335px;
}

.modal-body .form-whatsapp .content-input {
    /* margin: 16px 0;
    position: relative;
    display: flex;
    gap: 15px;
    align-items: center;
    width: 100%;
    height: 48px;
    border-radius: 8px;
    padding: 8px 12px;
    background: #fff; */
    display: flex;
    flex-direction: column;
    margin: 0px 0 20px 0;
}

.modal-body .form-whatsapp .content-input .content-input-values {
    display: flex;
    position: relative;
    display: flex;
    gap: 15px;
    align-items: center;
    width: 100%;
    height: 48px;
    border-radius: 8px;
    padding: 8px 12px;
    background: #fff;
}

.modal-body .form-whatsapp .content-input .content-input-values > label {
    font-size: 16px;
    color: #000;
    font-weight: 600;
    width: 120px;
}

.modal-body .form-whatsapp .content-input .content-input-values > label.green-active {
    color: #1DAA61;
}

.modal-body .form-whatsapp .content-input .content-input-values > input,
.modal-body .form-whatsapp .content-input .content-input-values > select {
    height: 30px;
    border: none;
    outline: none;
    /* border-bottom: 0.3px solid rgba(0.58, 0.58, 0.58, 0.10); */
    border-radius: 0px;
    padding: 4px 0px;
    color: #000;
    width: 100%;
    background: transparent;
}

.modal-body .form-whatsapp .content-input .content-input-values > select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding-right: 30px;
}

.modal-body .form-whatsapp .content-input .content-input-values > select ~ svg {
    position: absolute;
    right: 10px;
    top: 20px;
}

.modal-body .form-whatsapp .content-input .content-input-values > select:focus ~ svg,
.modal-body .form-whatsapp .content-input .content-input-values > select:focus ~ svg > path {
    stroke: #1DAA61;
    fill: #1DAA61;
}

.modal-body .form-whatsapp .content-input .content-input-values > input::placeholder,
.modal-body .form-whatsapp .content-input .content-input-values > select::placeholder {
    color: #959595;
    font-size: 16px;
}

.modal-body .form-whatsapp .content-input > input:focus,
.modal-body .form-whatsapp .content-input > select:focus {
    /* border-bottom: 0.3px solid #1DAA61; */
}

.modal-body .form-whatsapp .content-check {
    display: flex;
    flex-direction: column;
    align-items: start;
    max-width: 79%;
}

.modal-body .form-whatsapp .content-check label {
    display: flex;
    gap: 9px;
    align-items: center;
}

.modal-body .form-whatsapp .content-check input {
    display: none;
}

.modal-body .form-whatsapp .content-check .checkmark {
    min-width: 20px;
    width: 20px;
    height: 20px;
    background: white;
    border: 1px solid #959595;
    display: inline-block;
    border-radius: 50%;
    position: relative;
    cursor: pointer;
    transition: all 0.3s ease;
}

.modal-body .form-whatsapp .content-check input:checked + .checkmark {
    background-color: #1DAA61;
    border-color: #1DAA61;
}

.modal-body .form-whatsapp .content-check .checkmark::after {
    content: "";
    position: absolute;
    display: none;
    left: 7px;
    top: 3px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.modal-body .form-whatsapp .content-check input:checked + .checkmark::after {
    display: block;
}
  

.modal-body .form-whatsapp .content-check label {
    font-size: 11px;
    color: #959595;
}

.modal-body .form-whatsapp .content-check label a{
    font-size: 11px;
    color: #1DAA61;
}

.modal-body .form-whatsapp .content-input .content-input-error,
.modal-body .form-whatsapp .content-check .content-input-error {
    display: none;
    height: 20px;
}

.modal-body .form-whatsapp .content-input .content-input-error .error-message,
.modal-body .form-whatsapp .content-check .content-input-error .error-message {
    font-size: 10.5px;
    color: #D01A49;
    font-family: monospace;
    margin-top: 5px;
}

/* .modal-body .form-whatsapp .content-input .just-validate-error-field + .content-input-error .error-message,
.modal-body .form-whatsapp .content-check .just-validate-error-field + .content-input-error .error-message {
    display: block;
} */


.modal-body .form-whatsapp .text-muted {
    line-height: 14px;
    font-size: 11px;
    color: #959595;
    margin-top: 8px;
}

.modal-body .thanks-whatsapp {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    gap: 16px;
}

.modal-body .thanks-whatsapp .message {
    font-size: 20px;
    font-weight: 600;
    width: 200px;
}

.modal-body .thanks-whatsapp .loader {
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal-body .thanks-whatsapp .loader .dot {
    width: 10px;
    height: 10px;
    margin: 0 4px;
    background-color: #ccc;
    border-radius: 50%;
    animation: blink 1.5s infinite ease-in-out;
}

.modal-body .thanks-whatsapp .loader .dot:nth-child(1) { animation-delay: 0s; }
.modal-body .thanks-whatsapp .loader .dot:nth-child(2) { animation-delay: 0.2s; }
.modal-body .thanks-whatsapp .loader .dot:nth-child(3) { animation-delay: 0.4s; }

@keyframes blink {
    0%, 80%, 100% {
        background-color: #ccc;
    }
    40% {
        background-color: #333;
    }
}

.back-conversation {
    position: absolute;
    background: #00927C;
    color: #fff;
    cursor: pointer;
    height: 52px;
    padding: 0;
    border-radius: 40px;
    font-size: 16px;
    font-weight: 700;
    border: none;
    width: 80%;
    margin: 0 auto;
    left: 0;
    right: 0;
    bottom: 40px;
    z-index: 100;
}

/* FOOTER */

.modal-footer {
    padding: 0 14.5px;
}

.modal-footer > button {
    height: 52px;
    width: 100%;
    margin: 16px 0;
    padding: 0;
    background: #E9EDEE;
    border-radius: 12px;
    color: #959595;
    font-size: 16px;
    font-weight: 700;
    border: none;
}

.modal-footer > button.active {
    background: #1DAA61;
    color: #fff;
    cursor: pointer;
}